Get List
curl --request GET \
--url https://api.example.com/lists/import requests
url = "https://api.example.com/lists/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/lists/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"error": "<string>"
}Lists
Get List
Ambil semua list kontak pada instance WhatsApp Anda
GET
/
lists
/
Get List
Gunakan endpoint ini untuk mengambil semua list kontak pada instance WhatsApp Anda. Sertakan API key pada header
The
api-key.
Request
Headers
| Header | Type | Required | Description |
|---|---|---|---|
api-key | string | Yes | API key DripSender Anda |
Example Request
curl -X GET https://api.dripsender.id/lists/ \
-H "api-key: YOUR_API_KEY"
axios.get("https://api.dripsender.id/lists/", {
headers: {
"api-key": "YOUR_API_KEY"
}
}).then(response => {
console.log(response.data);
});
Response
Success
string
Code:
200{
"status": 200,
"statusText": "",
"data": [
{
"id": "a72b46a2-77ab-4da0-a1b7-edfea9677c53",
"title": "Group kerja",
"contacts": 1,
"updated_at": 1778488169093
},
{
"id": "e5b96db5-1405-4ab3-9be5-071af9d98b8e",
"title": "all",
"contacts": 384,
"updated_at": 1763695779355
},
{
"id": "cb4021ca-3962-4e10-ad25-58cde0b6ca3d",
"title": "tes rama",
"contacts": 0,
"updated_at": 1752946104909
},
{
"id": "ea658a9d-f337-4d80-a2c0-deafddeb0338",
"title": "Samara : Berhasil OTP",
"contacts": 15,
"updated_at": 1746910144482
},
{
"id": "06ba31b8-c30d-4bfc-b5a5-c8fea523f56f",
"title": "Samara OTP : istri",
"contacts": 263,
"updated_at": 1746908869833
},
{
"id": "d9dbd6f6-4a96-43e5-9b63-d42d3c9ab41d",
"title": "Samara OTP : suami",
"contacts": 271,
"updated_at": 1746884053321
},
{
"id": "e744b43d-1585-4ce3-9a02-847895cd7e20",
"title": "#TentangAI Semua Leads",
"contacts": 15,
"updated_at": 1746782802463
},
{
"id": "bb0fa248-3055-4a3d-b989-6afa0497af80",
"title": "#TentangAI Akses : Solo Adventure #01",
"contacts": 18,
"updated_at": 1746771751035
},
{
"id": "561efa58-b3a7-4825-b814-b939983ff7a4",
"title": "OTP SAMARA UIY",
"contacts": 1,
"updated_at": 1746622621623
},
{
"id": "acdfb920-e39b-4708-9c5b-a5fdca3ca6e0",
"title": "OTP cobak",
"contacts": 13,
"updated_at": 1746022430726
},
{
"id": "547c1eec-a9c0-4938-9702-f044f503e7f2",
"title": "PN FP Free",
"contacts": 155,
"updated_at": 1746007003855
},
{
"id": "90df42ec-298c-4ab8-878b-fdf0924c91a0",
"title": "Sudah bayar PN FP",
"contacts": 26,
"updated_at": 1745968919957
},
{
"id": "26e29c58-884f-48cd-98bd-e48d3ce45aec",
"title": "Buku gratis",
"contacts": 60,
"updated_at": 1740564684735
},
{
"id": "95563817-e290-47c8-9b45-5e2906fe894d",
"title": "x",
"contacts": 0,
"updated_at": 1736862884072
},
{
"id": "4a5cf83e-173b-49cd-be84-15d033228f35",
"title": "PASWA",
"contacts": 14,
"updated_at": 1735511044120
},
{
"id": "87e0136d-c25f-48e5-b218-a389671ab978",
"title": "c",
"contacts": 1,
"updated_at": 1735189386212
},
{
"id": "a9f9f3f9-5967-413a-b9bf-f0a1b07060b5",
"title": "B",
"contacts": 1,
"updated_at": 1735189299393
},
{
"id": "b50aad63-3c7f-4e9c-a83d-ee695d88222b",
"title": "A",
"contacts": 0,
"updated_at": 1735189000992
},
{
"id": "a5b3efdf-d47f-4e4e-9f5b-d72480ddb3eb",
"title": "PALESTINA MLF 02",
"contacts": 501,
"updated_at": 1717676369794
}
],
"headers": {
"content-length": "2086",
"content-type": "application/json"
}
}
data array contains one object for each list. contacts is the number of contacts in the list and updated_at is a Unix timestamp in milliseconds.
Error
string
Code:
Code:
404 - Not Found (API key invalid)Code:
500 - Internal Server Error